/*
 * mki7_2.h
 *
 *  Created on: 02-08-2024
 *      Author: Krzysztof Jakubczyk
 */

#ifndef MKI7_2_H_
#define MKI7_2_H_

#include "tdefs.h"
#include "helper.h"

struct mki7_2_logic
{
	struct binary_io Z145;
	struct binary_io Z146;
	struct binary_io Z147;
	struct binary_io Z148;
	struct binary_io err;
};

struct mki7_2_io
{
	u32 z145_out;
	u32 z146_out;
	u32 z147_out;
	u32 z148_out;
	u32 err_out;
}__attribute__((__packed__));

struct mki7_2_params
{
}__attribute__((__packed__));

struct mki7_2_args
{
	struct mki7_2_io io;
	struct mki7_2_params params;
//	u16 crc;
}__attribute__((__packed__));

extern volatile u8 mki7_2_sfplinks;

extern int mki7_2_initlog(void *arguments, void *logic);
extern void mki7_2_20hz(void *arguments, void *logic);

#endif /* MKI7 */
